For the complete documentation index, see llms.txt. This page is also available as Markdown.

Responses resource

The PickZen API lets you do the following with the Responses resource.

Responses

GET https://admin.pickzen.com/api/responses

Retrieve all user responses.

Query Parameters

Name
Type
Description

assistant

string

Assistant code.

useId

string

User session execution ID.

limit

integer

The maximum number of results to show on a page. (default: 50, maximum: 250)

since_id

integer

Show results after the specified ID. It is used to paginate results.

created_at_min

string

Show results created at or after date. (format: 2019-04-25T16:15-06:00).

created_at_max

string

Show results created at or before date. (format: 2019-04-25T16:15-04:00

Headers

Name
Type
Description

X-Pickzen-Access-Token

string

API access token.

{
	"responses": [{
		"id": 8883,
		"useId": "340618-1582212315724-1582212808390",
		"date": "2019-11-05T07:50:11Z",
		"slides": [{
			"type": "info",
			"title": "What do you prefer?",
			"slideId": 100,
			"options": [{
				"id": 101,
				"title": "I prefer flat"
			}]
		}, {
			"type": "form",
			"title": "Enter your contact information",
			"slideId": 101,
			"fields": [{
				"id": 1,
				"response": "anna@mystore.com",
				"title": "E-mail",
				"type": "email"
			}, {
				"id": 2,
				"response": "Anna",
				"title": "Name",
				"type": "fname"
			}]
		}]
	}, {
		"id": 8918,
		"useId": "340618-1582212315724-1582212808390",
		"date": "2019-11-05T08:12:10Z",
		"slides": [{
			"type": "info",
			"title": "What do you prefer?",
			"slideId": 100,
			"options": [{
				"id": 100,
				"title": "I prefer heel"
			}]
		}, {
			"type": "form",
			"title": "Enter your contact information",
			"slideId": 101,
			"fields": [{
				"id": 1,
				"response": "anna@mystore.com",
				"title": "E-mail",
				"type": "email"
			}, {
				"id": 2,
				"response": "Anna",
				"title": "Name",
				"type": "fname"
			}]
		}]
	}]
}

GET https://admin.pickzen.com/api/responses

Query Parameters

Name
Type
Description

token

string

API access token.

GET https://admin.pickzen.com/api/responses

Query Parameters

Name
Type
Description

token

string

API access token.

As there is a maximum limit of 250 results per page, in order to retrieve the next page you will need to make additional requests using the last since_id parameter retrieved. This way, the query will return the results after this last id.

Last updated